Loading...
Searching...
No Matches
juce::midi_ci::ProfileAtAddress Class Reference

## Detailed Description

Holds a profile ID, and the address of a group/channel.

The documentation for this class was generated from the following file:

- juce_midi_ci/ci/juce_CIProfileAtAddress.h

## Public Member Functions

bool | operator== (const ProfileAtAddress &x) const
bool | operator!= (const ProfileAtAddress &x) const
bool | operator< (const ProfileAtAddress &x) const
bool | operator<= (const ProfileAtAddress &x) const
bool | operator> (const ProfileAtAddress &x) const
bool | operator>= (const ProfileAtAddress &x) const

## Public Attributes

Profile | profile
| The id of a MIDI-CI profile.
ChannelAddress | address
| A group and channel.

## Member Functions

## operator==()

bool juce::midi_ci::ProfileAtAddress::operator== | ( | const ProfileAtAddress & | x | ) | const

inline

References x.

## operator!=()

bool juce::midi_ci::ProfileAtAddress::operator!= | ( | const ProfileAtAddress & | x | ) | const

inline

References x.

## operator<()

bool juce::midi_ci::ProfileAtAddress::operator< | ( | const ProfileAtAddress & | x | ) | const

inline

References x.

## operator<=()

bool juce::midi_ci::ProfileAtAddress::operator<= | ( | const ProfileAtAddress & | x | ) | const

inline

References x.

## operator>()

bool juce::midi_ci::ProfileAtAddress::operator> | ( | const ProfileAtAddress & | x | ) | const

inline

References x.

## operator>=()

bool juce::midi_ci::ProfileAtAddress::operator>= | ( | const ProfileAtAddress & | x | ) | const

inline

References x.

## Member Data Documentation

## profile

Profile juce::midi_ci::ProfileAtAddress::profile

The id of a MIDI-CI profile.

Referenced by juce::midi_ci::ProfileHost::getState().

## address

ChannelAddress juce::midi_ci::ProfileAtAddress::address

A group and channel.

Referenced by juce::midi_ci::ProfileHost::getState().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited